Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 592637 - SELinux empêche l'accès en "write" à gcm-apply on /var/run/cups/cups.so
SELinux empêche l'accès en "write" à gcm-apply on /var/run/cups/cups.so
Status: CLOSED DUPLICATE of bug 588295
Product: Fedora
Classification: Fedora
Component: gnome-color-manager (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:cc5b35163bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 17:11 EDT by Gaetan Cambier
Modified: 2010-05-18 08:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 08:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaetan Cambier 2010-05-15 17:11:39 EDT
Résumé:

SELinux empêche l'accès en "write" à gcm-apply on /var/run/cups/cups.so

Description détaillée:

[SELinux est en mode permissif. Cet accès n'a pas été refusé.]

SELinux a refusé l'accès demandé par gcm-apply. Il n'est pas prévu que cet
accès soit requis par gcm-apply et cet accès peut signaler une tentative
d'intrusion. Il est également possible que cette version ou cette configuration
spécifique de l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:xdm_t:s0-s0:c0.c1023
Contexte cible                system_u:object_r:cupsd_var_run_t:s0
Objets du contexte            /var/run/cups/cups.sock [ sock_file ]
source                        gcm-apply
Chemin de la source           gcm-apply
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.7.19-13.fc13
Selinux activé               True
Type de politique             targeted
Mode strict                   Permissive
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Compteur d'alertes            2
Première alerte              mer. 12 mai 2010 15:57:06 CEST
Dernière alerte              mer. 12 mai 2010 15:57:06 CEST
ID local                      7ddb85b5-b3c6-4b71-a1f2-0917a52bb91c
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1273672626.111:8): avc:  denied  { write } for  pid=1516 comm="gcm-apply" name="cups.sock" dev=dm-0 ino=262184 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cupsd_var_run_t:s0 tclass=sock_file

node=(supprimé) type=AVC msg=audit(1273672626.111:8): avc:  denied  { connectto } for  pid=1516 comm="gcm-apply" path="/var/run/cups/cups.sock" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tclass=unix_stream_socket



Hash String generated from  catchall,gcm-apply,xdm_t,cupsd_var_run_t,sock_file,write
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t cupsd_t:unix_stream_socket connectto;
allow xdm_t cupsd_var_run_t:sock_file write;
Comment 1 Daniel Walsh 2010-05-18 08:46:52 EDT

*** This bug has been marked as a duplicate of bug 588295 ***

Note You need to log in before you can comment on or make changes to this bug.